﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssemblyName>TickersCollector.Api</AssemblyName>
    <RootNamespace>TickersCollector.Api</RootNamespace>
    <OutputType>Library</OutputType>
    
  </PropertyGroup>

  <ItemGroup>
    <Compile Include="API\DiagnosticController.fs" />
    <Compile Include="SignalR\GroupsMapper.fs" />
    <Compile Include="SignalR\CollectorHub.fs" />
    <Compile Include="API\HealthController.fs" />
    <Compile Include="API\SignalRCollectorHubController.fs" />
    <Compile Include="Startup.fs" />
    <Compile Include="HostCreator.fs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.10.9" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Main\Main.fsproj" />
  </ItemGroup>

</Project>
